import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { ucapAnimations } from '../../animations';
import { FileEventJson } from '@ucap-webmessenger/protocol-event';
import { DeviceType } from '@ucap-webmessenger/core';

@Component({
  selector: 'ucap-document-viewer',
  templateUrl: './document-viewer.component.html',
  styleUrls: ['./document-viewer.component.scss'],
  animations: ucapAnimations
})
export class DocumentViewerComponent implements OnInit {
  @Input()
  fileInfo: FileEventJson;

  @Input()
  fileDownloadUrl: string;

  @Output()
  download = new EventEmitter<void>();

  @Output()
  closed = new EventEmitter<void>();

  constructor() {}

  ngOnInit() {}

  onClickDownload(): void {}

  onClickClose(): void {
    this.closed.emit();
  }
}
